Bug 1346369 - Wrong error message when out of processes
Summary: Wrong error message when out of processes
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bash
Version: rawhide
Hardware: All
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Siteshwar Vashisht
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-14 15:51 UTC by Ian Collier
Modified: 2017-02-13 07:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-11 06:37:22 UTC
Type: Bug


Attachments (Terms of Use)

Description Ian Collier 2016-06-14 15:51:29 UTC
If you go...

bash
$ ulimit -u 10
$ /bin/true

you get...

bash: fork: retry: No child processes
bash: fork: retry: No child processes
bash: fork: retry: No child processes
bash: fork: retry: No child processes
bash: fork: Resource temporarily unavailable

but "No child processes" is actually an error from wait(2), not from fork(2).
This is because bash tries to reap children before printing the error.
If that fails then you get whatever error wait(2) returned, but if it
succeeds then isn't errno technically undefined at that point (although
in practice on this system it keeps the error from wait(2))?

Tested in: bash-4.3.42-3.fc23.x86_64

Comment 1 Fedora End Of Life 2016-11-25 09:18:33 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Siteshwar Vashisht 2017-02-13 07:26:32 UTC
This was fixed by rebasing bash to version 4.4 in rawhide.


Note You need to log in before you can comment on or make changes to this bug.